/* 外层父级大包装 */
.tag-section{
    background-color: RGBA(247, 249, 250, 1); /* 外层淡淡的灰色背景 */
    padding: 0 0 86px;
    /* box-sizing: border-box; */
}
.tag-container-block{
    margin-top:50px;
    background: #fff;
    padding: 40px 40px 60px;
}
/* 区块间距 */
.tag-container-block .tag-container-block__section {
    margin-bottom: 35px;
}
.tag-container-block .tag-container-block__section:last-child {
    margin-bottom: 0;
}


.tag-container-block .tag-container-block__title {
    font-size: 18px;
    color: #111;
    font-weight: bold;
    margin: 0 0 15px 0;
}

/* 标签网格列表（核心：一行固定6列） */
.tag-container-block .tag-container-block__list {
    display: flex;
    flex-wrap: wrap;
    /* grid-template-columns: repeat(6, 1fr); */ /* 平分6列 */
    gap: 12px; /* 行间距 12px，列间距 16px */
}

/* 单个标签按钮样式 */
.tag-container-block .tag-container-block__item {
    display: block;
    background: #FFFFFF;
border-radius: 4px;
border: 1px solid #DEDEDE;
    color: rgba(34, 34, 34, 1);            /* 灰色文字 */
    font-size: 16px;
    line-height:45px;
    text-align: center;
    text-decoration: none;
    padding: 0 16px;        
    transition: all 0.2s ease;
}

/* 鼠标悬停交互效果 */
.tag-container-block .tag-container-block__item:hover {
    color: #1e75ff;            /* 悬停变为蓝色 */
    border-color: #1e75ff;
    background-color: #f4f8ff; 
}
.tag-section .pagination{
    margin-top:62px;
}
@media(max-width:1199px){
    .tag-container-block,
    .tag-section .pagination{
        margin-top:45px;
    }
    .tag-section{
        padding-bottom:80px;
    }
}
@media(max-width:1024px){
    .tag-container-block,
    .tag-section .pagination{
        margin-top:40px;
    }
    .tag-section{
        padding-bottom:70px;
    }
    .tag-container-block{
        padding:30px 30px 50px;
    }
}
@media(max-width:768px){
    .tag-container-block,
    .tag-section .pagination{
        margin-top:30px;
    }
    .tag-section{
        padding-bottom:60px;
    }
    .tag-container-block{
        padding:25px 25px 40px;
    }
}
@media(max-width:500px){
    .tag-container-block .tag-container-block__section{
        margin-bottom:28px;
    }
    .tag-container-block{
        padding:20px 20px 30px;
    }
    .tag-container-block .tag-container-block__item{
        padding:0 12px;
        font-size:14px;
        line-height:40px;
    }
     .tag-container-block,
    .tag-section .pagination{
        margin-top:25px;
    }
    .tag-section{
        padding-bottom:50px;
    }
}